%bcond_with bootstrap

Name:           aopalliance
Epoch:          0
Version:        1.0
Release:        %mkrel 20
Group:          Development/Java
Summary:        Java/J2EE AOP standards
License:        Public Domain
URL:            https://aopalliance.sourceforge.net/
BuildArch:      noarch

# cvs -d:pserver:anonymous@aopalliance.cvs.sourceforge.net:/cvsroot/aopalliance login
# password empty
# cvs -z3 -d:pserver:anonymous@aopalliance.cvs.sourceforge.net:/cvsroot/aopalliance export -r HEAD aopalliance
Source0:        aopalliance-src.tar.gz
Source1:        https://repo1.maven.org/maven2/aopalliance/aopalliance/1.0/aopalliance-1.0.pom
Source2:        %{name}-MANIFEST.MF

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  ant
BuildRequires:  javapackages-local
%endif

%description
Aspect-Oriented Programming (AOP) offers a better solution to many
problems than do existing technologies, such as EJB.  AOP Alliance
intends to facilitate and standardize the use of AOP to enhance
existing middleware environments (such as J2EE), or development
environements (e.g. Eclipse).  The AOP Alliance also aims to ensure
interoperability between Java/J2EE AOP implementations to build a
larger AOP community.

%{?javadoc_package}

%prep
%setup -q -n %{name}

%build
export CLASSPATH=
export OPT_JAR_LIST=:
%{ant} -Dbuild.sysclasspath=only jar javadoc -Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8

# Inject OSGi manifest required by Eclipse.
jar umf %{SOURCE2} build/%{name}.jar

%install
%mvn_file : %{name}
%mvn_artifact %{SOURCE1} build/%{name}.jar

%mvn_install -J build/javadoc

%files -f .mfiles




%changelog
* Tue May 21 2024 ns80 <ns80> 0:1.0-20.mga10
+ Revision: 2065529
- rebuild for java 21

* Mon Sep 19 2022 neoclust <neoclust> 0:1.0-19.mga9
+ Revision: 1890447
- Add bootstrap build mode
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0:1.0-17.mga8
+ Revision: 1489262
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0:1.0-16.mga7
+ Revision: 1259565
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 0:1.0-15.mga6
+ Revision: 982480
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 0:1.0-14.mga6
+ Revision: 975670
- First rebuild of the java stack
- sync package aopalliance with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:1.0-12.mga5
+ Revision: 750538
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.0-11.mga5
+ Revision: 677786
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0:1.0-10.mga4
+ Revision: 536470
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 dmorgan <dmorgan> 0:1.0-9.mga4
+ Revision: 484331
- Rebuild against nwe javapackages

* Fri Sep 20 2013 dmorgan <dmorgan> 0:1.0-8.mga4
+ Revision: 482600
- Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 0:1.0-7.mga4
+ Revision: 481206
- Add OSGI manifest

* Fri Jan 11 2013 umeabot <umeabot> 0:1.0-4.mga3
+ Revision: 345630
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 0:1.0-3.mga3
+ Revision: 326649
- Build with Java7

* Sun Sep 09 2012 dmorgan <dmorgan> 0:1.0-2.mga3
+ Revision: 291288
- Use fedora spec file layout

* Fri Aug 05 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 131892
- Make it build with java 6 instead of java 5
- Clean spec file
+ gil <gil>
- imported package aopalliance


* Tue Jun 14 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm